This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 334251 - Add a magic number to magic/Magdir/elf for Altera Nios II soft-core processor.
Add a magic number to magic/Magdir/elf for Altera Nios II soft-core processor.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 09:35 EDT by Robert P. J. Day
Modified: 2008-02-11 04:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 04:17:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2007-10-16 09:35:21 EDT
just to be slightly more informative, it *appears* that you can add the
following line to the file magic/Magdir/elf so that the file command recognizes
the Altera NIOS II soft-core processor:

>>18    leshort         106             Analog Devices Blackfin,
>>18    leshort         113             Altera Nios II,       <--- ADD THIS
>>18    leshort         0x9026          Alpha (unofficial),

  this is based on this old post by Mike Frysinger:

http://www.cygwin.com/ml/binutils/2006-01/msg00004.html

as well as the fact that an executable i compiled with a NIOS II toolchain shows
the following in the hexdump:

00000000  7f 45 4c 46 01 01 01 ff  00 00 00 00 00 00 00 00  |.ELF............|
00000010  02 00 71 00 ...

that "71 00" does indeed correspond to decimal 113.

  and, finally, that wouldn't seem to conflict with anything since running the
file command on that executable produces:

a.out: ELF 32-bit LSB executable, version 1, statically linked, not stripped

IOW, there is no architecture corresponding to that value at the moment.
 
  does all that make sense?
Comment 1 Tomas Smetana 2007-12-11 03:10:07 EST
Could you please upload the executable, so I could test the change somehow?  Thanks.

Note You need to log in before you can comment on or make changes to this bug.